<?php
/**
*
* @package Board3 Portal v2 - Plugin for ezStats2
* @copyright (c) Board3 Group ( www.board3.de )
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB')) exit;


/**
* @package ezStats2 PSN
*/
class portal_ezStats2_psn_module {
	public $columns = 31;
	public $name = 'PORTAL_ezStats2_psn';
	public $image_src = 'portal_ezStats2_psn.png';
	public $language = 'portal_ezStats2_psn_module';
	public $custom_acp_tpl = '';
	public $hide_name = false;
	
	public function get_template_center($module_id) {
		global $config, $template;
		
		$url = $config['board3_ezstats_url_' . $module_id];
		$ch = curl_init($url);
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		$output = curl_exec($ch);
		curl_close($ch);
		
		$template->assign_vars(array(
			'LEADERBOARD'			=> $output
		));
		
		return 'ezStats2_psn_center.html';
	}

	public function get_template_side($module_id) {
		global $config, $template;
		
		$url = $config['board3_ezstats_url_' . $module_id];
		$ch = curl_init($url);
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
		$output = curl_exec($ch);
		curl_close($ch);
		
		$template->assign_vars(array(
			'LEADERBOARD'			=> $output
		));
		
		return 'ezStats2_psn_side.html';
	}
	
	function get_template_acp($module_id) {
		return array(
			'title'    => 'ACP_PORTAL_EZSTATS_SETTINGS',
			'vars'    => array(
				'legend1' => 'ACP_PORTAL_EZSTATS_SETTINGS',
				'board3_ezstats_url_' . $module_id => array(
					'lang' => 'PORTAL_EZSTATS_URL',
					'validate' => 'string',
					'type' => 'text:20:999',
					'explain' => true
				),
			)
		);
	}  

	/**
	* API functions
	*/
	
	public function install($module_id) {
		return false;
	}

	public function uninstall($module_id) {
		return false;
	}
}
